
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "logging/stackify_ruby_logging/version"

Gem::Specification.new do |spec|
  spec.name          = "stackify-ruby-logging"
  spec.version       = Logging::StackifyRubyLogging::VERSION
  spec.authors       = ['Stackify']
  spec.email         = ['support@stackify.com']
  spec.summary       = 'Stackify Ruby Logging'
  spec.homepage      = 'http://www.stackify.com'
  spec.license       = 'Stackify'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_runtime_dependency 'stackify-api-ruby', '~> 1.0'
end
